Bug 1840954 - Clicking on task gives white window
Summary: Clicking on task gives white window
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Andrew Ballantyne
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 1839883
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 01:36 UTC by OpenShift BugZilla Robot
Modified: 2020-06-17 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Clicking on a Task bubble in the Pipeline Builder that could not find the associated task didn't have null safety coded Consequence: Whitescreened the app when it hit the error. Fix: Convert the node into a list node giving the user easy access to change it in place (otherwise they would have to delete and then try to insert it back - which could be very difficult in some cases) Result: The user has an easier flow to updating Task references that are no longer pointing at a Task/ClusterTask resource
Clone Of:
Environment:
Last Closed: 2020-06-17 22:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Clicking on task does not gives white window (33.97 KB, image/png)
2020-06-04 20:55 UTC, spathak@redhat.com
no flags Details
4.4:Clicking on task does not gives white window (100.42 KB, image/png)
2020-06-04 22:21 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5612 None closed [release-4.4] Bug 1840954: Pipeline Builder supports invalid task refs 2020-06-09 18:38:47 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:57 UTC

Comment 3 spathak@redhat.com 2020-06-04 20:55:12 UTC
Created attachment 1695319 [details]
Clicking on task does not gives white window

Comment 4 spathak@redhat.com 2020-06-04 20:57:50 UTC
Verified on build version: 4.5.0-0.ci-2020-06-03-081958
Browser version: Firefox 73

Comment 5 spathak@redhat.com 2020-06-04 22:21:47 UTC
Created attachment 1695355 [details]
4.4:Clicking on task does not gives white window

Comment 6 spathak@redhat.com 2020-06-04 22:22:51 UTC
Verified on build version: 4.4.0-0.ci-2020-06-04-183035
Browser version: Firefox 73

Comment 8 errata-xmlrpc 2020-06-17 22:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.